Subject: [sipcore] Draft new version: draft-ietf-sipcore-keep-06

From: Christer Holmberg <[email-masked]>
Date: Mon, 6 Sep 2010 07:48:44 +0200

Hi,

I've submitted a new version of the keep draft.

Based on the WGLC feedback from, and discussions with, Paul, I've re-introducted section 6 (Connection reuse). This time, however, rather than only talking about RFC 5923, it talks more general about connection reuse. It clarifies that the keep draft does NOT specify a connection reuse mechanism, and that entities MUST use other mechanisms for connection re-use. I also added text to the security considerations about that.

Based on the WGLC feedback from Hadriel, I also added text to the security considerations regarding harm that can be done by a man-in-the-middle.

The draft can also be found at:

http://users.piuha.net/cholmber/drafts/draft-ietf-sipcore-keep-06.txt

Regards,

Christer

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 08 Sep 2010 20:46:28 -0400

[as individual]

Christer,

I think this addresses all of my issues!

I have one question on some new text introduced in section 4.1:

    In general, it can be useful for SIP entities to indicate willingness
    to send keep-alives, even if they are not aware of any necessity for
    them to send keep-alives, since the adjacent downstream SIP entity
    might have knowledge about the necessity.  Similarly, it can be
    useful for SIP entities to indicate willingness to receive keep-
    alives, even if they are not aware of any necessity for the adjacent
    upstream SIP entity to send them.

Am I missing something? I don't see any way for an entity to indicate 
willingness to receive keep-alives if the upstream neighbor hasn't 
indicated a willingness to send them.

	Thanks,
	Paul

Christer Holmberg wrote:
> Based on the WGLC feedback from, and discussions with, Paul, I've 
> re-introducted section 6 (Connection reuse). This time, however, rather 
> than only talking about RFC 5923, it talks more general about connection 
> reuse. It clarifies that the keep draft does NOT specify a connection 
> reuse mechanism, and that entities MUST use other mechanisms for 
> connection re-use. I also added text to the security considerations 
> about that.
>  
> Based on the WGLC feedback from Hadriel, I also added text to the 
> security considerations regarding harm that can be done by a 
> man-in-the-middle.
>  
> _http://users.piuha.net/cholmber/drafts/draft-ietf-sipcore-keep-06.txt_
>  
> Regards,
>  
> Christer
>

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 9 Sep 2010 07:58:18 +0200

Hi Paul, 

>     to send keep-alives, even if they are not aware of any 
>     necessity for them to send keep-alives, since the adjacent downstream SIP entity
>Am I missing something? I don't see any way for an entity to 
>indicate willingness to receive keep-alives if the upstream 
>neighbor hasn't indicated a willingness to send them.

It DOES require that the upstream has indicated willingess to send them. I guess that could be clarified (<new></new>).

"Similarly, <new>if the adjacent upstream SIP entity has indicated willingess to send keep-alives,</new> it can be
useful for SIP entities to indicate willingness to receive keep-alives, even if they are not aware of any necessity for the adjacent
upstream SIP entity to send them."

Regards,

Christer

> > re-introducted section 6 (Connection reuse). This time, however, 
> > rather than only talking about RFC 5923, it talks more 
> general about 
> > connection reuse. It clarifies that the keep draft does NOT 
> specify a 
> > connection reuse mechanism, and that entities MUST use other 
> > mechanisms for connection re-use. I also added text to the security 
> > considerations about that.
> >

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 09 Sep 2010 09:48:07 -0400

> upstream SIP entity to send them."

OK, for me that helps. Its no big deal if it stays as it is - it just 
seemed a little confusing.

	Thanks,
	Paul

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 9 Sep 2010 20:47:20 +0200

Hi Paul,

I can change it when I do whatever changes will be required by the IESG review.

Regards,

Christer

________________________________________
From: Paul Kyzivat [[email-masked]]
Sent: Thursday, September 09, 2010 4:48 PM
To: Christer Holmberg
Cc: SIPCORE (Session Initiation Protocol Core) WG; Adam Roach
Subject: Re: Draft new version: draft-ietf-sipcore-keep-06

        Thanks,
        Paul